class NoUse < ActiveRecord::Base
  # attr_accessible :title, :body
  belongs_to :no_use, :polymorphic => true
  belongs_to :user
  
  validates_presence_of :user
  validates_uniqueness_of :user_id, :scope => [:no_use_type, :no_use_id]
  validate :validate_user
  
  protected

  def validate_user
    errors.add :user_id, :invalid unless user.nil? || user.active?
  end
end
